Name:		im-chooser
Version:	1.3.1
Release:	3%{?dist}
License:	GPLv2+
URL:		http://fedorahosted.org/im-chooser/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel libgnomeui-devel desktop-file-utils intltool gettext
BuildRequires:	imsettings-devel >= 0.106.0

Source0:	http://fedorahosted.org/releases/i/m/%{name}/%{name}-%{version}.tar.bz2
Patch0:		im-chooser-disable-status-icon.patch
Patch1:		im-chooser-fix-translations.patch
Patch2:		im-chooser-make-resizable.patch

Summary:	Desktop Input Method configuration tool
Group:		Applications/System
Obsoletes:	system-switch-im
Requires:	imsettings >= 0.106.0

%description
im-chooser is a GUI configuration tool to choose the Input Method
to be used or disable Input Method usage on the desktop.


%prep
%setup -q
%patch0 -p1 -b .0-status-icon
%patch1 -p2 -b .1-translations
%patch2 -p1 -b .2-resizable

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=fedora                            \
        --add-category=X-GNOME-PersonalSettings                 \
        --delete-original                                       \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications           \
        $RPM_BUILD_ROOT%{_datadir}/applications/im-chooser.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/im-chooser
%{_datadir}/applications/fedora-im-chooser.desktop
%{_datadir}/applications/xfce4-im-chooser.desktop
%{_datadir}/icons/hicolor/*/apps/im-chooser.png



%changelog

